Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

bot_id
string

Optional public bot identifier filter.

bot_name
string

Optional bot name keyword (fuzzy match, contains).

status
enum<string>

Filter tasks by status. Public lifecycle status of a bot run.

Available options:
created,
running,
finished,
canceled,
pausing,
paused,
failed
created_at_from
string<date-time>

Lower bound of task creation time (inclusive). ISO 8601 format, e.g. 2024-01-01T00:00:00Z.

created_at_to
string<date-time>

Upper bound of task creation time (inclusive). ISO 8601 format, e.g. 2024-12-31T23:59:59Z.

page
integer
default:1

Page number to retrieve (starts at 1).

Required range: x >= 1
limit
integer
default:20

Number of tasks per page (max 100).

Required range: 1 <= x <= 100

Response

Runs returned.

items
object[]
required

Tasks for the current page.

page
integer
required

Current page number.

limit
integer
required

Number of items per page.

total_count
integer<int64>
required

Total number of items.

total_pages
integer
required

Total number of pages available.